// pages/member/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        userLogin       : '',   //登录状态
        avatar          : '',   //头像
        nickName        : '',   //昵称
        identityId      : '',   //用户id
        identityShow    : '',   //身份有效期
        tabType         : 3,    // 会员选项
        identitiesData  : [],
        interestData    : '',     // 会员权益
        vipsData        : '',    //会员公告
        barHeight       : getApp().globalData.statusBarHeight, // 状态栏高度
        jiaonangheight  : getApp().globalData.jiaonangheight, //胶囊高度
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {},

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取登录状态
        if(wx.getStorageSync("token")){
            this.setData({
                userLogin: true
            })

            // 获取用户信息
            this.userInfo();
        }

        // 获取身份前置
        this.identityInfo();
    
        // 获取身份权益
        this.openTab();
    },

    /**
     * 用户信息
     */
    userInfo() {
        wx.$api.user.home().then(res => {
            this.setData({
                userData        : res.data,
                avatar          : res.data.avatar,
                nickName        : res.data.nickname,
                identityId      : res.data.identity.id,
                identityShow    : res.data.identityShow
            })
            
        }).catch(err => {})
    },

    /**
     * 身份前置
     */
    identityInfo(){
        wx.$api.member.openModel().then(res => {
            this.setData({
                identitiesData : res.data.identities,
                vipsData       : res.data.vips
            })
            
        }).catch(err => {})
    },

    /**
     * 切换身份
     */
    typeClick(e) {
        this.setData({
            tabType: e.currentTarget.dataset.type
        })
        // 获取身份权益
        this.openTab();
    },

    /**
     * 身份权益
     */
    openTab() {
        // 3为季卡,4为月卡,5为年卡
        wx.$api.member.openSee(this.data.tabType).then(res => {
            this.setData({
                interestData: res.data
            })
        }).catch(err => {})
    },

    /**
     * 截获竖向滑动
     */
    catchTouchMove(){
        return false
    },

    /**
     * 处理未登录时的转跳
     */
    userNav(e){
        let pageUrl = e.currentTarget.dataset.url
        if(wx.getStorageSync("token")){
            wx.navigateTo({
                url: pageUrl
            })
        }else{
            // 去登录
            wx.navigateTo({
                url: "/pages/login/index"
            })
        }
    },

    /**
     * 查看驳回原因
     */
    tapCause(e) {
        console.log(e.currentTarget.dataset.text)
        wx.showModal({
            title   : '驳回原因',
            content : e.currentTarget.dataset.text,
            showCancel: false,
            success : res=> {}
        })
    }
})